Bug 961082 - [abrt] Thunar-1.6.2-1.fc18: _dbus_header_get_byte_order: Process /usr/bin/thunar was killed by signal 11 (SIGSEGV)
[abrt] Thunar-1.6.2-1.fc18: _dbus_header_get_byte_order: Process /usr/bin/thu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:f3291b68bc6c163e99e8bd0fcc3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 14:32 EDT by pawelg
Modified: 2014-02-05 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:09:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.29 KB, text/plain)
2013-05-08 14:32 EDT, pawelg
no flags Details
File: cgroup (128 bytes, text/plain)
2013-05-08 14:32 EDT, pawelg
no flags Details
File: core_backtrace (2.13 KB, text/plain)
2013-05-08 14:32 EDT, pawelg
no flags Details
File: dso_list (10.14 KB, text/plain)
2013-05-08 14:32 EDT, pawelg
no flags Details
File: environ (1.59 KB, text/plain)
2013-05-08 14:32 EDT, pawelg
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-08 14:32 EDT, pawelg
no flags Details
File: maps (47.17 KB, text/plain)
2013-05-08 14:32 EDT, pawelg
no flags Details
File: open_fds (3.10 KB, text/plain)
2013-05-08 14:32 EDT, pawelg
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-05-08 14:32 EDT, pawelg
no flags Details
File: var_log_messages (406 bytes, text/plain)
2013-05-08 14:32 EDT, pawelg
no flags Details

  None (edit)
Description pawelg 2013-05-08 14:32:19 EDT
Version-Release number of selected component:
Thunar-1.6.2-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        /bin/Thunar file:///home/pawel/Pulpit/film
crash_function: _dbus_header_get_byte_order
executable:     /usr/bin/thunar
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 1
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _dbus_header_get_byte_order at dbus-marshal-header.c:178
 #1 _dbus_header_get_field_basic at dbus-marshal-header.c:1370
 #2 dbus_message_get_reply_serial at dbus-message.c:1091
 #3 _dbus_connection_queue_received_message_link at dbus-connection.c:501
 #4 _dbus_transport_queue_messages at dbus-transport.c:1157
 #5 do_reading at dbus-transport-socket.c:851
 #7 socket_handle_watch at dbus-transport-socket.c:932
 #8 _dbus_transport_handle_watch at dbus-transport.c:885
 #9 _dbus_connection_handle_watch at dbus-connection.c:1515
 #10 dbus_watch_handle at dbus-watch.c:700
Comment 1 pawelg 2013-05-08 14:32:22 EDT
Created attachment 745337 [details]
File: backtrace
Comment 2 pawelg 2013-05-08 14:32:25 EDT
Created attachment 745338 [details]
File: cgroup
Comment 3 pawelg 2013-05-08 14:32:27 EDT
Created attachment 745339 [details]
File: core_backtrace
Comment 4 pawelg 2013-05-08 14:32:29 EDT
Created attachment 745340 [details]
File: dso_list
Comment 5 pawelg 2013-05-08 14:32:32 EDT
Created attachment 745341 [details]
File: environ
Comment 6 pawelg 2013-05-08 14:32:34 EDT
Created attachment 745342 [details]
File: limits
Comment 7 pawelg 2013-05-08 14:32:37 EDT
Created attachment 745343 [details]
File: maps
Comment 8 pawelg 2013-05-08 14:32:40 EDT
Created attachment 745344 [details]
File: open_fds
Comment 9 pawelg 2013-05-08 14:32:45 EDT
Created attachment 745345 [details]
File: proc_pid_status
Comment 10 pawelg 2013-05-08 14:32:54 EDT
Created attachment 745346 [details]
File: var_log_messages
Comment 11 Kevin Fenzi 2013-05-08 15:26:33 EDT
What were you doing when this happened? 

Can you duplicate it?
Comment 12 pawelg 2013-05-08 16:11:52 EDT
My actions were:
1) I downloaded some zipped file.
2) I unzipped it by command from ?popup? menu.
3) I changed the name of unzipped file (I'm not sure now if I did it before the crash).
4) I try deleted the zipped file.
Then Thunar crashed but the zipped file was deleted.

I wasn't able to duplicate that crash.
Comment 13 pawelg 2013-05-08 16:22:38 EDT
There is one more thing.
During my actions, I described in my comment (no. 12), I was downloading an another file to the same directory.
Comment 14 Kevin Fenzi 2013-05-08 18:32:43 EDT
Can you try the update in updates-testing?

'yum --enablerepo=updates-testing update Thunar'
Comment 15 pawelg 2013-05-09 13:03:14 EDT
I did the update and repeated my actions but I wasn't able to duplicate that crash.
Comment 16 Fedora End Of Life 2013-12-21 10:31:00 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2014-02-05 18:09:21 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.